Skip to content

List All Users

Request

Lists all users, including their current permissions.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/users.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/users.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:43:06 GMT"
ETagstring
Example:"W/\"6d5e8119257252130624e8cc1a78b813\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"6651d0a2-7f9f-4273-b876-f4544e22e0ca"
X-Runtimestring
Example:"0.401007"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F443A_6E7B90:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<users type="array">
<user>
    <id readonly="readonly">66270</id>
    <group_ids></group_ids>
    <name>George Smith</name>
    <email>george@example.com</email>
    <phone>1 555 111 1111</phone>
    <notes>Mack 3DC 12L V-TEC</notes>
    <shift_on>true</shift_on>
    <third_party_id></third_party_id>
    <created_at readonly="readonly">2021-03-09T01:37:54+00:00</created_at>
    <updated_at readonly="readonly">2021-03-09T01:37:54+00:00</updated_at>
    <latest_telemetry></latest_telemetry>
    <permissions>
        <admin>none</admin>
        <schedule>none</schedule>
        <map>none</map>
        <reports>none</reports>
        <jobs>none</jobs>
        <customers>none</customers>
        <quotes>none</quotes>
        <equipment>none</equipment>
        <messaging>none</messaging>
        <mobile>full</mobile>
        <mobile_jobs_create>full</mobile_jobs_create>
        <mobile_jobs_assign>full</mobile_jobs_assign>
        <mobile_invoice>full…